Documentation Index

Fetch the complete documentation index at: https://support.keypro.fi/llms.txt

Use this file to discover all available pages before exploring further.

2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Update Fault partially

Prev Next
Patch
/faults/{id}/

Operation is used to update specific fields in existing fault.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Path parameters
id
integerRequired

Id of fault to update

Body parameters

Fault attributes and values to be updated

object

Information about Fault

address
integer

Fault address id

description
string

Fault description

faultCategory
integer

Related fault category id

faultLocation
string (ewkt)

Geographical location.

faultLocationDetails
string

Fault location details

privateCustomerEmail
string

Customer email

privateCustomerName
string

Customer name

privateCustomerPhone
string

Customer phone

state
integer

Fault state id

Responses
200

Object was updated successfully

object

Information about Fault

address
integer

Fault address id

closedBy
string

Fault closed by user

closedTs
string (date-time)

Fault close date time

createdBy
string

Fault created by user

createdTs
string (date-time)

Fault created date time

description
string

Fault description

faultCategory
integer

Related fault category id

faultId
integer

Fault primary key

faultLocation
string (ewkt)

Geographical location.

faultLocationDetails
string

Fault location details

privateCustomerEmail
string

Customer email

privateCustomerName
string

Customer name

privateCustomerPhone
string

Customer phone

reportDate
string (date-time)

Fault reported date time

state
integer

Fault state id

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object

Standard error response payload

details
string

Detailed description of error

404

Object was not found

{
  "details": "Not found."
}
object

Standard error response payload

details
string

Detailed description of error